Index: trunk/SophyaLib/HiStats/hisprof.cc
===================================================================
--- trunk/SophyaLib/HiStats/hisprof.cc	(revision 920)
+++ trunk/SophyaLib/HiStats/hisprof.cc	(revision 926)
@@ -6,4 +6,9 @@
 #include "perrors.h"
 
+/*!
+  \class SOPHYA::HProf
+  \ingroup HiStats
+  Classe de profil d'histogrammes.
+*/
 
 /********* Methode *********/
Index: trunk/SophyaLib/HiStats/hisprof.h
===================================================================
--- trunk/SophyaLib/HiStats/hisprof.h	(revision 920)
+++ trunk/SophyaLib/HiStats/hisprof.h	(revision 926)
@@ -10,9 +10,5 @@
 namespace SOPHYA {
 
-/*!
-  \class SOPHYA::HProf
-  \ingroup HiStats
-  Classe de profil d'histogrammes.
-*/
+//! 1 dimension profile histograms
 class HProf : public Histo {
   friend class ObjFileIO<HProf>;
Index: trunk/SophyaLib/HiStats/histinit.h
===================================================================
--- trunk/SophyaLib/HiStats/histinit.h	(revision 920)
+++ trunk/SophyaLib/HiStats/histinit.h	(revision 926)
@@ -11,4 +11,5 @@
 namespace SOPHYA {
 
+//! Histograms initiator
 class HiStatsInitiator : public NToolsInitiator {
 private:
Index: trunk/SophyaLib/HiStats/histos.cc
===================================================================
--- trunk/SophyaLib/HiStats/histos.cc	(revision 920)
+++ trunk/SophyaLib/HiStats/histos.cc	(revision 926)
@@ -1,4 +1,4 @@
 //
-// $Id: histos.cc,v 1.2 2000-04-13 16:04:11 ansari Exp $
+// $Id: histos.cc,v 1.3 2000-04-13 18:38:32 ansari Exp $
 //
 
@@ -12,4 +12,10 @@
 #include "strutil.h"
 #include "generalfit.h"
+
+/*!
+  \class SOPHYA::Histo
+  \ingroup HiStats
+  Classe d'histogrammes 1D
+*/
 
 /********* Methode *********/
Index: trunk/SophyaLib/HiStats/histos.h
===================================================================
--- trunk/SophyaLib/HiStats/histos.h	(revision 920)
+++ trunk/SophyaLib/HiStats/histos.h	(revision 926)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: histos.h,v 1.3 2000-04-13 16:41:43 ansari Exp $
+// $Id: histos.h,v 1.4 2000-04-13 18:38:33 ansari Exp $
 //
 
@@ -19,10 +19,5 @@
 class GeneralFit;
 
-
-/*!
-  \class SOPHYA::Histo
-  \ingroup HiStats
-  Classe d'histogrammes 1D
-*/
+//! 1 dimension histograms
 class Histo : public AnyDataObj {
   friend class ObjFileIO<Histo>;
Index: trunk/SophyaLib/HiStats/histos2.cc
===================================================================
--- trunk/SophyaLib/HiStats/histos2.cc	(revision 920)
+++ trunk/SophyaLib/HiStats/histos2.cc	(revision 926)
@@ -15,4 +15,26 @@
 #include "histos2.h"
 #include "generalfit.h"
+
+/*!
+  \class SOPHYA::Histo2D
+  \ingroup HiStats
+  Classe d'histogrammes 2D
+  \verbatim
+    Remarque sur les indices:
+     H(i,j)   -> i  = coord x (0<i<nx),     j  = coord y (0<j<ny)
+     v(ii,jj) -> ii = ligne (0<i<NRows()),  jj = colonne (0<i<NCol())
+     On fait une correspondance directe i<->ii et j<->jj
+     ce qui, en representation classique des histos2D et des matrices
+     entraine une inversion x<->y cad une symetrie / diagonale principale
+     H(0,...)  represente ^         mais v(0,...) represente
+                          |x.......               |xxxxxxxx|
+                          |x.......               |........|
+                          |x.......               |........|
+                          |x.......               |........|
+                          |x.......               |........|
+                          --------->
+                          colonne no 1            ligne no 1
+  \endverbatim
+*/
 
 ///////////////////////////////////////////////////////////////////
Index: trunk/SophyaLib/HiStats/histos2.h
===================================================================
--- trunk/SophyaLib/HiStats/histos2.h	(revision 920)
+++ trunk/SophyaLib/HiStats/histos2.h	(revision 926)
@@ -22,26 +22,5 @@
 class GeneralFit;
 
-
-/*!
-  \class SOPHYA::Histo2D
-  \ingroup HiStats
-  Classe d'histogrammes 2D
-  \verbatim
-    Remarque sur les indices:
-     H(i,j)   -> i  = coord x (0<i<nx),     j  = coord y (0<j<ny)
-     v(ii,jj) -> ii = ligne (0<i<NRows()),  jj = colonne (0<i<NCol())
-     On fait une correspondance directe i<->ii et j<->jj
-     ce qui, en representation classique des histos2D et des matrices
-     entraine une inversion x<->y cad une symetrie / diagonale principale
-     H(0,...)  represente ^         mais v(0,...) represente
-                          |x.......               |xxxxxxxx|
-                          |x.......               |........|
-                          |x.......               |........|
-                          |x.......               |........|
-                          |x.......               |........|
-                          --------->
-                          colonne no 1            ligne no 1
-  \endverbatim
-*/
+//! 2 dimensions histograms
 class Histo2D : public AnyDataObj {
   friend class ObjFileIO<Histo2D>;
